Finally… mXDriver 17.8.1

It took me quite some time to release a new version of mXDriver, sorry for my absence!. mXDriver 17.8.1 is based on AMD’s Radeon Software Crimson ReLive Edition 17.8.1 and brings the usual optimizations from AMD (newly supported games and bugfixes) as well as support for Quake™ Champions Early Access and Agents of Mayhem. Vulkan support is also included and gives Doom a big fps boost. Please note: Newer versions of the Vulkan API (1.0.26+) don’t work with the Vulkan Stardust Demo although other applications like Doom work great in Vulkan mode.

If you have trouble running a Vulkan application, which ran with mXDriver 16.9.1 Reloaded (Vulkan API 1.0.21) or other older drivers please see the FAQ for help.

For a more detailed look into the changes of 17.8.1 please see the changelog.

KEEP IN MIND INSTALLING AND USING THE DRIVER IS AT YOUR OWN RISK! I AM NOT RESPONSIBLE FOR ANY DAMAGES! PLEASE BACKUP YOUR STUFF PRIOR INSTALLING THE DRIVER!
For prerequisities and installation details please see the mXDriver Howto.

Download: mXDriver-17.8.1-64Bit-Win10

SHA-512 Checksum: f2a9bd86930655430ae401e6a63ccc2dabd0e5bbc8e223d293674d8228902978ff758aef215b5459c10819edcadb45f8d5fb1f40b228960026f8bb2676f072a2

Supported GPUs

Mac Pro
D300, D500, D700
iMac
M290, M290X, M295X, M380, M390X, M395, M395X
MacBook Pro
M370X

14 comments on “Finally… mXDriver 17.8.1

  1. I checked the change log. Am I correct to assume that you’ve not yet added support for AMD Radeon Pro 570, 575, and 580 GPUs?

  2. update : quake champions is running with mxdriver 17.8.1

    you need to run it as administrator.

    But when I want to play PUBG I have this error: “DX11 feature level 10.0 is required to run the engine”

  3. I keep getting the “DX11 feature level 10.0 is required to run the engine” error when I try to play Ark. Has anyone figured out how to fix this? Also everything seems scaled up (icons & such) like the resolution is lower though it says it is at 5k. Any suggestions would be appreciated!

  4. Eey0n,

    I think the error is from the drivers so I switched back to mXDriver 16.10.2 – every game that I play runs fine with that one.

  5. Yeah, I had to role mine back to a previous version too. (Not around my Mac at the moment so I can’t remember exactly which it is but things have been working fine with it for a while now. Would like to figure out a fix for this issue though so I can stay up to date. I tried bumping it down to 17.6.1 before going all the way back to my previous version but that had the same issue. Curious as to what the difference is that could be causing the issue.

Leave a Reply

Your email address will not be published. Required fields are marked *